﻿using System;
using System.Net;
using System.Net.Sockets;
using System.Threading;
using Microsoft.SPOT;
using Microsoft.SPOT.Hardware;
using SecretLabs.NETMF.Hardware;
using SecretLabs.NETMF.Hardware.NetduinoPlus;

namespace EmbeddedLab.NetduinoPlus.Day1
{
    public class Program
    {
        public static void Main()
        {
            // use any analog pin
            AnalogInput aInPin = new AnalogInput(Pins.GPIO_PIN_A1);

            // give a range.
            aInPin.SetRange(10, 1000);

            // at D1, we will send signal for LED
            OutputPort led = new OutputPort(Pins.GPIO_PIN_D1, false);


            while (true)
            {
                // Read Pot value
                int potValue = (int)aInPin.Read();
                Debug.Print("Pot Value: " + potValue.ToString());

                // turn LED ON
                led.Write(true);
                // let it be ON for potValue
                Thread.Sleep(potValue);

                // turn LED OFF and let it stay OFF for potValue
                led.Write(false);
                Thread.Sleep(potValue);
            }
        }

    }
}
